## ckport 0.1~rc0

=== Makefile ===
include Makefile.conf

PREFIX_LIB=$(PREFIX)/lib/
PREFIX_BIN=$(PREFIX)/bin/
PREFIX_MAN=$(PREFIX)/share/man/
PREFIX_CKPORT_BASE=$(PREFIX_LIB)/ckport
PREFIX_CKPORT=$(PREFIX_CKPORT_BASE)/db/

TOOL=ckport
DB=db/

MANPAGE=$(TOOL).1

all:
clean:
new: clean all

distclean: clean
	rm -f Makefile.conf

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'

install: all prep-install-dirs
	cp $(cp_v) $(TOOL) '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	cp $(cp_v) -r $(DB)/* '$(DESTDIR)$(PREFIX_CKPORT)'

semi-install: all prep-install-dirs
	ln -sf `pwd`/$(TOOL) '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	set -e; for f in $(DB)/*; do ln -sf `pwd`/$$f '$(DESTDIR)$(PREFIX_CKPORT)/'; done

uninstall:
	rm -rf '$(DESTDIR)$(PREFIX_CKPORT_BASE)'
	rm '$(DESTDIR)$(PREFIX_BIN)/ckport'
	rm -f  '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)

## ckport 0.1~beta0

=== debian/changelog ===
ckport (0.1~beta0-1) unstable; urgency=low

  [ Philipp Schafft ]
  * Initial release. (Closes: #622824)

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2011 23:54:43 +0200

=== debian/control ===
Source: ckport
Priority: optional
Homepage: http://lo.keep-cool.org/
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Section: devel

Package: ckport
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 ckport-database (>= ${source:Version}),
 binutils-multiarch | binutils
Suggests: manpages-dev
Description: portability analysis and security checking tool
 ckport is a tool to check already compiled binaries and libraries for porting
 and security problems.
 .
 It uses objdump to read the binaries and analysis call and jump functions.
 .
 This package is architecture independed and can be used on non-host
 architecture binaries if a objdump tool for the target architecture
 is installed.

Package: ckport-database
Architecture: all
Depends: ${misc:Depends}
Recommends: ckport
Description: portability analysis and security checking tool (Database files)
 ckport is a tool to check already compiled binaries and libraries for porting
 and security problems.
 .
 It uses objdump to read the binaries and analysis call and jump functions.
 .
 This package is architecture independed and can be used on non-host
 architecture binaries if a objdump tool for the target architecture
 is installed.
 .
 This package contains some common databases.
 Libraries should provide own databases.

=== debian/watch ===
version=3
opts=uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/ \
http://lo.keep-cool.org/ckport-(.*)\.tar\.gz

## ckport 0.1~beta1

=== debian/changelog ===
ckport (0.1~beta1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Updated description and added homepage.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:01:08 +0200

=== debian/control ===
Source: ckport
Priority: optional
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Section: devel
Homepage: http://software.keep-cool.org/ckport.html

Package: ckport
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 ckport-database (>= ${source:Version}),
 binutils-multiarch | binutils
Suggests: manpages-dev
Description: portability analysis and security checking tool
 ckport is a tool to check already compiled binaries and libraries for porting
 and security problems.
 .
 It uses objdump to read the binaries and analyses calls and jumps to functions.
 .
 This package is architecture independent and can be used on non-host
 architecture binaries if an objdump tool for the target architecture
 is installed.

Package: ckport-database
Architecture: all
Depends: ${misc:Depends}
Recommends: ckport
Description: portability analysis and security checking tool (Database files)
 ckport is a tool to check already compiled binaries and libraries for porting
 and security problems.
 .
 It uses objdump to read the binaries and analyses calls and jumps to functions.
 .
 This package is architecture independent and can be used on non-host
 architecture binaries if an objdump tool for the target architecture
 is installed.
 .
 This package contains some common databases.
 Libraries should provide own databases.

## ckport 0.1~beta2

=== debian/changelog ===
ckport (0.1~beta2-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Upgrade suggests on manpages-dev to recommends.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:03:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ${perl:Depends},
  ckport-database (>= ${source:Version}),
  binutils-multiarch | binutils
-Suggests: manpages-dev
+Recommends: manpages-dev
 Description: portability analysis and security checking tool
  ckport is a tool to check already compiled binaries and libraries for porting
  and security problems.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status:
	dh_testdir
	./configure --prefix /usr
	touch config.status

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.status
	[ ! -f Makefile.conf ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-arch:

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --list-missing
	dh_installman -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/~//;s/beta/~beta/ \
http://software.keep-cool.org/dl/ckport/ ckport-([^-]*)\.tar\.gz

## ckport 0.1~rc0

=== debian/changelog ===
ckport (0.1~rc0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changed needed).
  * Add patch 01-spelling-error, which fixes a spelling error in the manpage.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 19:56:39 +0100

ckport (0.1~rc0-1) unstable; urgency=low

  * New upstream release.
  * Add cppcheck to Suggests.
  * Fixed lintian warnings about missing rules targets (build-arch, build-indep)
  * Updated versionmangle in watch file to also match rc releases.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 21:06:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Philipp Schafft <lion@lion.leolix.org>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: devel
 Homepage: http://software.keep-cool.org/ckport.html
 
@@ -14,6 +14,7 @@
  ckport-database (>= ${source:Version}),
  binutils-multiarch | binutils
 Recommends: manpages-dev
+Suggests: cppcheck
 Description: portability analysis and security checking tool
  ckport is a tool to check already compiled binaries and libraries for porting
  and security problems.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	./configure --prefix /usr
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)

## ckport 0.1~rc1

=== debian/changelog ===
ckport (0.1~rc1-4) unstable; urgency=high

  * Fix dh_auto_clean.
    Closes: #723959

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 22:20:24 +0200

ckport (0.1~rc1-3) unstable; urgency=low

  * Bump compat level to version 9.
  * Migrate to minimal debhelper.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 May 2013 11:08:18 +0200

ckport (0.1~rc1-2) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Sep 2012 10:02:55 +0200

ckport (0.1~rc1-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 11 Aug 2012 22:54:10 +0200

ckport (0.1~rc0-3) unstable; urgency=low

  * Remove Philipp as maintainer.
    Closes: #682886

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 09:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ckport
 Priority: optional
-Maintainer: Philipp Schafft <lion@lion.leolix.org>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Section: devel
 Homepage: http://software.keep-cool.org/ckport.html
 
 Package: ckport
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  ${perl:Depends},
  ckport-database (>= ${source:Version}),
@@ -27,6 +27,7 @@
 
 Package: ckport-database
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Recommends: ckport
 Description: portability analysis and security checking tool (Database files)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure --prefix /usr

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts=uversionmangle=s/~//;s/beta/~beta/;s/rc/~rc/ \
http://software.keep-cool.org/dl/ckport/ ckport-([^-]*)\.tar\.gz
